Error during new installation of Webmin

SYSTEM INFORMATION
OS type and version Ubuntu 20.04
Webmin version 2.105

I used to have Webmin installed in the past and un-installed using the uninstaller at the time. I am now wanting to go back to Webmin and I am getting an error I am not sure how to get past.

How I am installing:
$ curl -o setup-repos.sh https://raw.githubusercontent.com/webmin/webmin/master/setup-repos.sh
$ sh setup-repos.sh
$ apt-get install --install-recommends webmin

Reading package lists... Done
Building dependency tree
Reading state information... Done
The following additional packages will be installed:
  libalgorithm-c3-perl libauthen-pam-perl libb-hooks-endofscope-perl
  libb-hooks-op-check-perl libclass-c3-perl libclass-c3-xs-perl
  libclass-data-inheritable-perl libclass-inspector-perl
  libclass-method-modifiers-perl libclass-singleton-perl
  libclass-xsaccessor-perl libdata-optlist-perl libdatetime-locale-perl
  libdatetime-perl libdatetime-timezone-perl libdevel-callchecker-perl
  libdevel-caller-perl libdevel-lexalias-perl libdevel-stacktrace-perl
  libdynaloader-functions-perl libencode-detect-perl libeval-closure-perl
  libexception-class-perl libfile-sharedir-perl libio-pty-perl
  libmodule-implementation-perl libmodule-runtime-perl libmro-compat-perl
  libnamespace-autoclean-perl libnamespace-clean-perl libnet-ssleay-perl
  libpackage-stash-perl libpackage-stash-xs-perl libpadwalker-perl
  libparams-classify-perl libparams-util-perl
  libparams-validationcompiler-perl libreadonly-perl libref-util-perl
  libref-util-xs-perl librole-tiny-perl libspecio-perl libsub-exporter-perl
  libsub-exporter-progressive-perl libsub-identify-perl libsub-install-perl
  libsub-name-perl libsub-quote-perl libtry-tiny-perl libvariable-magic-perl
  libxstring-perl perl-openssl-defaults
Suggested packages:
  libscalar-number-perl libtest-fatal-perl
The following NEW packages will be installed:
  libalgorithm-c3-perl libauthen-pam-perl libb-hooks-endofscope-perl
  libb-hooks-op-check-perl libclass-c3-perl libclass-c3-xs-perl
  libclass-data-inheritable-perl libclass-inspector-perl
  libclass-method-modifiers-perl libclass-singleton-perl
  libclass-xsaccessor-perl libdata-optlist-perl libdatetime-locale-perl
  libdatetime-perl libdatetime-timezone-perl libdevel-callchecker-perl
  libdevel-caller-perl libdevel-lexalias-perl libdevel-stacktrace-perl
  libdynaloader-functions-perl libencode-detect-perl libeval-closure-perl
  libexception-class-perl libfile-sharedir-perl libio-pty-perl
  libmodule-implementation-perl libmodule-runtime-perl libmro-compat-perl
  libnamespace-autoclean-perl libnamespace-clean-perl libnet-ssleay-perl
  libpackage-stash-perl libpackage-stash-xs-perl libpadwalker-perl
  libparams-classify-perl libparams-util-perl
  libparams-validationcompiler-perl libreadonly-perl libref-util-perl
  libref-util-xs-perl librole-tiny-perl libspecio-perl libsub-exporter-perl
  libsub-exporter-progressive-perl libsub-identify-perl libsub-install-perl
  libsub-name-perl libsub-quote-perl libtry-tiny-perl libvariable-magic-perl
  libxstring-perl perl-openssl-defaults webmin
0 upgraded, 53 newly installed, 0 to remove and 1 not upgraded.
Need to get 37.6 MB of archives.
After this operation, 219 MB of additional disk space will be used.
Do you want to continue? [Y/n] Y
Get:1 http://archive.ubuntu.com/ubuntu focal/main amd64 perl-openssl-defaults am                                                    d64 4 [7,192 B]
Get:2 http://archive.ubuntu.com/ubuntu focal/main amd64 libnet-ssleay-perl amd64                                                     1.88-2ubuntu1 [291 kB]
Get:3 http://archive.ubuntu.com/ubuntu focal/universe amd64 libauthen-pam-perl a                                                    md64 0.16-3build7 [24.3 kB]
Get:4 http://archive.ubuntu.com/ubuntu focal/main amd64 libio-pty-perl amd64 1:1                                                    .12-1 [32.4 kB]
Get:5 http://archive.ubuntu.com/ubuntu focal/universe amd64 libalgorithm-c3-perl                                                     all 0.10-1 [11.3 kB]
Get:6 http://archive.ubuntu.com/ubuntu focal/main amd64 libb-hooks-op-check-perl                                                     amd64 0.22-1build2 [10.2 kB]
Get:7 http://archive.ubuntu.com/ubuntu focal/main amd64 libdynaloader-functions-                                                    perl all 0.003-1 [11.9 kB]
Get:8 http://archive.ubuntu.com/ubuntu focal/main amd64 libdevel-callchecker-per                                                    l amd64 0.008-1ubuntu1 [14.5 kB]
Get:9 http://archive.ubuntu.com/ubuntu focal/main amd64 libparams-classify-perl                                                     amd64 0.015-1build2 [21.1 kB]
Get:10 http://archive.ubuntu.com/ubuntu focal/main amd64 libmodule-runtime-perl                                                     all 0.016-1 [16.2 kB]
Get:11 http://archive.ubuntu.com/ubuntu focal/main amd64 libtry-tiny-perl all 0.                                                    30-1 [20.5 kB]
Get:12 http://archive.ubuntu.com/ubuntu focal/main amd64 libmodule-implementatio                                                    n-perl all 0.09-1 [12.2 kB]
Get:13 http://archive.ubuntu.com/ubuntu focal/main amd64 libsub-exporter-progres                                                    sive-perl all 0.001013-1 [6,784 B]
Get:14 http://archive.ubuntu.com/ubuntu focal/main amd64 libvariable-magic-perl                                                     amd64 0.62-1build2 [34.4 kB]
Get:15 http://archive.ubuntu.com/ubuntu focal/main amd64 libb-hooks-endofscope-p                                                    erl all 0.24-1 [16.8 kB]
Get:16 http://archive.ubuntu.com/ubuntu focal/universe amd64 libclass-c3-perl al                                                    l 0.34-1 [18.9 kB]
Get:17 http://archive.ubuntu.com/ubuntu focal/universe amd64 libclass-c3-xs-perl                                                     amd64 0.14-1build5 [15.5 kB]
Get:18 http://archive.ubuntu.com/ubuntu focal/main amd64 libclass-data-inheritab                                                    le-perl all 0.08-3 [8,084 B]
Get:19 http://archive.ubuntu.com/ubuntu focal/universe amd64 libclass-inspector-                                                    perl all 1.36-1 [16.3 kB]
Get:20 http://archive.ubuntu.com/ubuntu focal/main amd64 libclass-method-modifie                                                    rs-perl all 2.13-1 [16.2 kB]
Get:21 http://archive.ubuntu.com/ubuntu focal/universe amd64 libclass-singleton-                                                    perl all 1.5-1 [13.0 kB]
Get:22 http://archive.ubuntu.com/ubuntu focal/main amd64 libclass-xsaccessor-per                                                    l amd64 1.19-3build3 [33.6 kB]
Get:23 http://archive.ubuntu.com/ubuntu focal/main amd64 libparams-util-perl amd                                                    64 1.07-3build5 [19.7 kB]
Get:24 http://archive.ubuntu.com/ubuntu focal/main amd64 libsub-install-perl all                                                     0.928-1 [10.5 kB]
Get:25 http://archive.ubuntu.com/ubuntu focal/main amd64 libdata-optlist-perl al                                                    l 0.110-1 [9,956 B]
Get:26 http://archive.ubuntu.com/ubuntu focal/universe amd64 libpadwalker-perl a                                                    md64 2.3-1build2 [15.2 kB]
Get:27 http://archive.ubuntu.com/ubuntu focal/universe amd64 libdevel-caller-per                                                    l amd64 2.06-2build2 [10.6 kB]
Get:28 http://archive.ubuntu.com/ubuntu focal/universe amd64 libdevel-lexalias-p                                                    erl amd64 0.05-2build2 [8,788 B]
Get:29 http://archive.ubuntu.com/ubuntu focal/main amd64 libdevel-stacktrace-per                                                    l all 2.0400-1 [22.7 kB]
Get:30 http://archive.ubuntu.com/ubuntu focal/universe amd64 libencode-detect-pe                                                    rl amd64 1.01-5build3 [67.2 kB]
Get:31 http://archive.ubuntu.com/ubuntu focal/main amd64 libsub-exporter-perl al                                                    l 0.987-1 [44.9 kB]
Get:32 http://archive.ubuntu.com/ubuntu focal/universe amd64 libeval-closure-per                                                    l all 0.14-1 [10.3 kB]
Get:33 http://archive.ubuntu.com/ubuntu focal/main amd64 libexception-class-perl                                                     all 1.44-1 [25.9 kB]
Get:34 http://archive.ubuntu.com/ubuntu focal/universe amd64 libfile-sharedir-pe                                                    rl all 1.116-2 [14.7 kB]
Get:35 http://archive.ubuntu.com/ubuntu focal/universe amd64 libmro-compat-perl                                                     all 0.13-1 [11.2 kB]
Get:36 http://archive.ubuntu.com/ubuntu focal/main amd64 libpackage-stash-perl a                                                    ll 0.38-1 [19.1 kB]
Get:37 http://archive.ubuntu.com/ubuntu focal/main amd64 libsub-identify-perl am                                                    d64 0.14-1build2 [10.7 kB]
Get:38 http://archive.ubuntu.com/ubuntu focal/main amd64 libsub-name-perl amd64                                                     0.26-1 [11.5 kB]
Get:39 http://archive.ubuntu.com/ubuntu focal/main amd64 libnamespace-clean-perl                                                     all 0.27-1 [13.6 kB]
Get:40 http://archive.ubuntu.com/ubuntu focal/universe amd64 libnamespace-autocl                                                    ean-perl all 0.29-1 [12.5 kB]
Get:41 http://archive.ubuntu.com/ubuntu focal/main amd64 libpackage-stash-xs-per                                                    l amd64 0.29-1build1 [18.4 kB]
Get:42 http://archive.ubuntu.com/ubuntu focal/universe amd64 libparams-validatio                                                    ncompiler-perl all 0.30-1 [28.9 kB]
Get:43 http://archive.ubuntu.com/ubuntu focal/main amd64 libreadonly-perl all 2.                                                    050-2 [19.9 kB]
Get:44 http://archive.ubuntu.com/ubuntu focal/main amd64 libref-util-perl all 0.                                                    204-1 [15.0 kB]
Get:45 http://archive.ubuntu.com/ubuntu focal/main amd64 libref-util-xs-perl amd                                                    64 0.117-1build2 [12.0 kB]
Get:46 http://archive.ubuntu.com/ubuntu focal/main amd64 librole-tiny-perl all 2                                                    .001004-1 [16.5 kB]
Get:47 http://archive.ubuntu.com/ubuntu focal/main amd64 libsub-quote-perl all 2                                                    .006006-1 [19.5 kB]
Get:48 http://archive.ubuntu.com/ubuntu focal/universe amd64 libxstring-perl amd                                                    64 0.002-2 [7,276 B]
Get:49 http://archive.ubuntu.com/ubuntu focal/universe amd64 libspecio-perl all                                                     0.45-1 [138 kB]
Get:50 http://archive.ubuntu.com/ubuntu focal/universe amd64 libdatetime-locale-                                                    perl all 1:1.25-1 [2,357 kB]
Get:51 http://archive.ubuntu.com/ubuntu focal/universe amd64 libdatetime-timezon                                                    e-perl all 1:2.38-1+2019c [255 kB]
Get:52 http://archive.ubuntu.com/ubuntu focal/universe amd64 libdatetime-perl am                                                    d64 2:1.51-1build1 [92.6 kB]
Get:53 https://download.webmin.com/download/newkey/repository stable/contrib amd                                                    64 webmin all 2.105 [33.7 MB]
Fetched 37.6 MB in 2s (23.7 MB/s)
Extracting templates from packages: 100%
Selecting previously unselected package perl-openssl-defaults:amd64.
(Reading database ... 41241 files and directories currently installed.)
Preparing to unpack .../00-perl-openssl-defaults_4_amd64.deb ...
Unpacking perl-openssl-defaults:amd64 (4) ...
Selecting previously unselected package libnet-ssleay-perl.
Preparing to unpack .../01-libnet-ssleay-perl_1.88-2ubuntu1_amd64.deb ...
Unpacking libnet-ssleay-perl (1.88-2ubuntu1) ...
Selecting previously unselected package libauthen-pam-perl.
Preparing to unpack .../02-libauthen-pam-perl_0.16-3build7_amd64.deb ...
Unpacking libauthen-pam-perl (0.16-3build7) ...
Selecting previously unselected package libio-pty-perl.
Preparing to unpack .../03-libio-pty-perl_1%3a1.12-1_amd64.deb ...
Unpacking libio-pty-perl (1:1.12-1) ...
Preparing to unpack .../04-webmin_2.105_all.deb ...
Port 10000 is already in use
dpkg: error processing archive /tmp/apt-dpkg-install-7Hw3MY/04-webmin_2.105_all.                                                    deb (--unpack):
 new webmin package pre-installation script subprocess returned error exit statu                                                    s 2
Selecting previously unselected package libalgorithm-c3-perl.
Preparing to unpack .../05-libalgorithm-c3-perl_0.10-1_all.deb ...
Unpacking libalgorithm-c3-perl (0.10-1) ...
Selecting previously unselected package libb-hooks-op-check-perl.
Preparing to unpack .../06-libb-hooks-op-check-perl_0.22-1build2_amd64.deb ...
Unpacking libb-hooks-op-check-perl (0.22-1build2) ...
Selecting previously unselected package libdynaloader-functions-perl.
Preparing to unpack .../07-libdynaloader-functions-perl_0.003-1_all.deb ...
Unpacking libdynaloader-functions-perl (0.003-1) ...
Selecting previously unselected package libdevel-callchecker-perl.
Preparing to unpack .../08-libdevel-callchecker-perl_0.008-1ubuntu1_amd64.deb ..                                                    .
Unpacking libdevel-callchecker-perl (0.008-1ubuntu1) ...
Selecting previously unselected package libparams-classify-perl.
Preparing to unpack .../09-libparams-classify-perl_0.015-1build2_amd64.deb ...
Unpacking libparams-classify-perl (0.015-1build2) ...
Selecting previously unselected package libmodule-runtime-perl.
Preparing to unpack .../10-libmodule-runtime-perl_0.016-1_all.deb ...
Unpacking libmodule-runtime-perl (0.016-1) ...
Selecting previously unselected package libtry-tiny-perl.
Preparing to unpack .../11-libtry-tiny-perl_0.30-1_all.deb ...
Unpacking libtry-tiny-perl (0.30-1) ...
Selecting previously unselected package libmodule-implementation-perl.
Preparing to unpack .../12-libmodule-implementation-perl_0.09-1_all.deb ...
Unpacking libmodule-implementation-perl (0.09-1) ...
Selecting previously unselected package libsub-exporter-progressive-perl.
Preparing to unpack .../13-libsub-exporter-progressive-perl_0.001013-1_all.deb .                                                    ..
Unpacking libsub-exporter-progressive-perl (0.001013-1) ...
Selecting previously unselected package libvariable-magic-perl.
Preparing to unpack .../14-libvariable-magic-perl_0.62-1build2_amd64.deb ...
Unpacking libvariable-magic-perl (0.62-1build2) ...
Selecting previously unselected package libb-hooks-endofscope-perl.
Preparing to unpack .../15-libb-hooks-endofscope-perl_0.24-1_all.deb ...
Unpacking libb-hooks-endofscope-perl (0.24-1) ...
Selecting previously unselected package libclass-c3-perl.
Preparing to unpack .../16-libclass-c3-perl_0.34-1_all.deb ...
Unpacking libclass-c3-perl (0.34-1) ...
Selecting previously unselected package libclass-c3-xs-perl.
Preparing to unpack .../17-libclass-c3-xs-perl_0.14-1build5_amd64.deb ...
Unpacking libclass-c3-xs-perl (0.14-1build5) ...
Selecting previously unselected package libclass-data-inheritable-perl.
Preparing to unpack .../18-libclass-data-inheritable-perl_0.08-3_all.deb ...
Unpacking libclass-data-inheritable-perl (0.08-3) ...
Selecting previously unselected package libclass-inspector-perl.
Preparing to unpack .../19-libclass-inspector-perl_1.36-1_all.deb ...
Unpacking libclass-inspector-perl (1.36-1) ...
Selecting previously unselected package libclass-method-modifiers-perl.
Preparing to unpack .../20-libclass-method-modifiers-perl_2.13-1_all.deb ...
Unpacking libclass-method-modifiers-perl (2.13-1) ...
Selecting previously unselected package libclass-singleton-perl.
Preparing to unpack .../21-libclass-singleton-perl_1.5-1_all.deb ...
Unpacking libclass-singleton-perl (1.5-1) ...
Selecting previously unselected package libclass-xsaccessor-perl.
Preparing to unpack .../22-libclass-xsaccessor-perl_1.19-3build3_amd64.deb ...
Unpacking libclass-xsaccessor-perl (1.19-3build3) ...
Selecting previously unselected package libparams-util-perl.
Preparing to unpack .../23-libparams-util-perl_1.07-3build5_amd64.deb ...
Unpacking libparams-util-perl (1.07-3build5) ...
Selecting previously unselected package libsub-install-perl.
Preparing to unpack .../24-libsub-install-perl_0.928-1_all.deb ...
Unpacking libsub-install-perl (0.928-1) ...
Selecting previously unselected package libdata-optlist-perl.
Preparing to unpack .../25-libdata-optlist-perl_0.110-1_all.deb ...
Unpacking libdata-optlist-perl (0.110-1) ...
Selecting previously unselected package libpadwalker-perl.
Preparing to unpack .../26-libpadwalker-perl_2.3-1build2_amd64.deb ...
Unpacking libpadwalker-perl (2.3-1build2) ...
Selecting previously unselected package libdevel-caller-perl.
Preparing to unpack .../27-libdevel-caller-perl_2.06-2build2_amd64.deb ...
Unpacking libdevel-caller-perl (2.06-2build2) ...
Selecting previously unselected package libdevel-lexalias-perl.
Preparing to unpack .../28-libdevel-lexalias-perl_0.05-2build2_amd64.deb ...
Unpacking libdevel-lexalias-perl (0.05-2build2) ...
Selecting previously unselected package libdevel-stacktrace-perl.
Preparing to unpack .../29-libdevel-stacktrace-perl_2.0400-1_all.deb ...
Unpacking libdevel-stacktrace-perl (2.0400-1) ...
Selecting previously unselected package libencode-detect-perl.
Preparing to unpack .../30-libencode-detect-perl_1.01-5build3_amd64.deb ...
Unpacking libencode-detect-perl (1.01-5build3) ...
Selecting previously unselected package libsub-exporter-perl.
Preparing to unpack .../31-libsub-exporter-perl_0.987-1_all.deb ...
Unpacking libsub-exporter-perl (0.987-1) ...
Selecting previously unselected package libeval-closure-perl.
Preparing to unpack .../32-libeval-closure-perl_0.14-1_all.deb ...
Unpacking libeval-closure-perl (0.14-1) ...
Selecting previously unselected package libexception-class-perl.
Preparing to unpack .../33-libexception-class-perl_1.44-1_all.deb ...
Unpacking libexception-class-perl (1.44-1) ...
Selecting previously unselected package libfile-sharedir-perl.
Preparing to unpack .../34-libfile-sharedir-perl_1.116-2_all.deb ...
Unpacking libfile-sharedir-perl (1.116-2) ...
Selecting previously unselected package libmro-compat-perl.
Preparing to unpack .../35-libmro-compat-perl_0.13-1_all.deb ...
Unpacking libmro-compat-perl (0.13-1) ...
Selecting previously unselected package libpackage-stash-perl.
Preparing to unpack .../36-libpackage-stash-perl_0.38-1_all.deb ...
Unpacking libpackage-stash-perl (0.38-1) ...
Selecting previously unselected package libsub-identify-perl.
Preparing to unpack .../37-libsub-identify-perl_0.14-1build2_amd64.deb ...
Unpacking libsub-identify-perl (0.14-1build2) ...
Selecting previously unselected package libsub-name-perl.
Preparing to unpack .../38-libsub-name-perl_0.26-1_amd64.deb ...
Unpacking libsub-name-perl (0.26-1) ...
Selecting previously unselected package libnamespace-clean-perl.
Preparing to unpack .../39-libnamespace-clean-perl_0.27-1_all.deb ...
Unpacking libnamespace-clean-perl (0.27-1) ...
Selecting previously unselected package libnamespace-autoclean-perl.
Preparing to unpack .../40-libnamespace-autoclean-perl_0.29-1_all.deb ...
Unpacking libnamespace-autoclean-perl (0.29-1) ...
Selecting previously unselected package libpackage-stash-xs-perl.
Preparing to unpack .../41-libpackage-stash-xs-perl_0.29-1build1_amd64.deb ...
Unpacking libpackage-stash-xs-perl (0.29-1build1) ...
Selecting previously unselected package libparams-validationcompiler-perl.
Preparing to unpack .../42-libparams-validationcompiler-perl_0.30-1_all.deb ...
Unpacking libparams-validationcompiler-perl (0.30-1) ...
Selecting previously unselected package libreadonly-perl.
Preparing to unpack .../43-libreadonly-perl_2.050-2_all.deb ...
Unpacking libreadonly-perl (2.050-2) ...
Selecting previously unselected package libref-util-perl.
Preparing to unpack .../44-libref-util-perl_0.204-1_all.deb ...
Unpacking libref-util-perl (0.204-1) ...
Selecting previously unselected package libref-util-xs-perl.
Preparing to unpack .../45-libref-util-xs-perl_0.117-1build2_amd64.deb ...
Unpacking libref-util-xs-perl (0.117-1build2) ...
Selecting previously unselected package librole-tiny-perl.
Preparing to unpack .../46-librole-tiny-perl_2.001004-1_all.deb ...
Unpacking librole-tiny-perl (2.001004-1) ...
Selecting previously unselected package libsub-quote-perl.
Preparing to unpack .../47-libsub-quote-perl_2.006006-1_all.deb ...
Unpacking libsub-quote-perl (2.006006-1) ...
Selecting previously unselected package libxstring-perl.
Preparing to unpack .../48-libxstring-perl_0.002-2_amd64.deb ...
Unpacking libxstring-perl (0.002-2) ...
Selecting previously unselected package libspecio-perl.
Preparing to unpack .../49-libspecio-perl_0.45-1_all.deb ...
Unpacking libspecio-perl (0.45-1) ...
Selecting previously unselected package libdatetime-locale-perl.
Preparing to unpack .../50-libdatetime-locale-perl_1%3a1.25-1_all.deb ...
Unpacking libdatetime-locale-perl (1:1.25-1) ...
Selecting previously unselected package libdatetime-timezone-perl.
Preparing to unpack .../51-libdatetime-timezone-perl_1%3a2.38-1+2019c_all.deb ..                                                    .
Unpacking libdatetime-timezone-perl (1:2.38-1+2019c) ...
Selecting previously unselected package libdatetime-perl:amd64.
Preparing to unpack .../52-libdatetime-perl_2%3a1.51-1build1_amd64.deb ...
Unpacking libdatetime-perl:amd64 (2:1.51-1build1) ...
Errors were encountered while processing:
 /tmp/apt-dpkg-install-7Hw3MY/04-webmin_2.105_all.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
Start-Date: 2024-03-08  09:27:40
Commandline: apt-get install --install-recommends webmin
Install: libpackage-stash-perl:amd64 (0.38-1, automatic), libb-hooks-op-check-perl:amd64 (0.22-1build2, automatic), libmodule-runtime-perl:amd64 (0.016-1, automatic), libnet-ssleay-perl:amd64 (1.88-2ubuntu1, automatic), libdatetime-perl:amd64 (2:1.51-1build1, automatic), libdata-optlist-perl:amd64 (0.110-1, automatic), libtry-tiny-perl:amd64 (0.30-1, automatic), libvariable-magic-perl:amd64 (0.62-1build2, automatic), libdevel-callchecker-perl:amd64 (0.008-1ubuntu1, automatic), libb-hooks-endofscope-perl:amd64 (0.24-1, automatic), libalgorithm-c3-perl:amd64 (0.10-1, automatic), libexception-class-perl:amd64 (1.44-1, automatic), libspecio-perl:amd64 (0.45-1, automatic), libclass-singleton-perl:amd64 (1.5-1, automatic), libclass-c3-xs-perl:amd64 (0.14-1build5, automatic), libmodule-implementation-perl:amd64 (0.09-1, automatic), libpackage-stash-xs-perl:amd64 (0.29-1build1, automatic), libdevel-lexalias-perl:amd64 (0.05-2build2, automatic), libsub-quote-perl:amd64 (2.006006-1, automatic), libsub-identify-perl:amd64 (0.14-1build2, automatic), libsub-exporter-perl:amd64 (0.987-1, automatic), libclass-xsaccessor-perl:amd64 (1.19-3build3, automatic), libxstring-perl:amd64 (0.002-2, automatic), libparams-util-perl:amd64 (1.07-3build5, automatic), libdevel-caller-perl:amd64 (2.06-2build2, automatic), libsub-install-perl:amd64 (0.928-1, automatic), webmin:amd64 (2.105), libdynaloader-functions-perl:amd64 (0.003-1, automatic), libclass-inspector-perl:amd64 (1.36-1, automatic), libref-util-perl:amd64 (0.204-1, automatic), libfile-sharedir-perl:amd64 (1.116-2, automatic), libparams-classify-perl:amd64 (0.015-1build2, automatic), libclass-method-modifiers-perl:amd64 (2.13-1, automatic), libsub-name-perl:amd64 (0.26-1, automatic), libdatetime-timezone-perl:amd64 (1:2.38-1+2019c, automatic), librole-tiny-perl:amd64 (2.001004-1, automatic), libnamespace-clean-perl:amd64 (0.27-1, automatic), perl-openssl-defaults:amd64 (4, automatic), libreadonly-perl:amd64 (2.050-2, automatic), libdatetime-locale-perl:amd64 (1:1.25-1, automatic), libauthen-pam-perl:amd64 (0.16-3build7, automatic), libio-pty-perl:amd64 (1:1.12-1, automatic), libdevel-stacktrace-perl:amd64 (2.0400-1, automatic), libpadwalker-perl:amd64 (2.3-1build2, automatic), libclass-data-inheritable-perl:amd64 (0.08-3, automatic), libencode-detect-perl:amd64 (1.01-5build3, automatic), libeval-closure-perl:amd64 (0.14-1, automatic), libsub-exporter-progressive-perl:amd64 (0.001013-1, automatic), libref-util-xs-perl:amd64 (0.117-1build2, automatic), libparams-validationcompiler-perl:amd64 (0.30-1, automatic), libclass-c3-perl:amd64 (0.34-1, automatic), libmro-compat-perl:amd64 (0.13-1, automatic), libnamespace-autoclean-perl:amd64 (0.29-1, automatic)
Error: Sub-process /usr/bin/dpkg returned an error code (1)
End-Date: 2024-03-08  09:27:51

I truly would appreciate any help I can get. Thank you

Doesn’t Ubuntu provide this with their package manager?

I appreciate the response but am not sure what you mean by providing “this” with their package manager? Please elaborate. Thank you again!

Doesn’t Ubuntu provide Webmin? Through the package manager it should be customized to running on the particular Ubuntu release. Sometimes the latest software won’t run on older releases. You can break a lot of things trying to force a new version onto an older release.

I used the instructions from Downloading and Installing | Webmin to install a few months ago without issue. I didn’t use the package manager then. I will install anyway possible so if you have a suggestion, I will certainly try it. Thank you

1 Like

The instructions you followed are probably ‘the latest’ release and recent changes may have broken comparability on your system.

That said, a developer may come along and determine it was a problem on their end. I’m only speaking from user experience.

1 Like

No. It does not.

Anyone have any suggestions please?

This is the problem. Something is already on port 10000 when Webmin tries to start. Maybe an old Webmin installation?

Kill whatever is on port 10000, and then dpkg --configure -a

That said, it’s a bug that starting Webmin results in dpkg being in an unconfigured state. This shouldn’t happen. @Ilia @Jamie we need an || after the service start to prevent this. Installation shouldn’t fail like this just because the service can’t start. (I mean, it’s a package bug to leave dpkg in an unconfigured state like this, not merely a matter of taste.)

1 Like

I can’t find what is causing that. It was the port I was using last time so no doubt it was open at the time.

Here is what I have now

# sudo ufw status
Status: active

To                         Action      From
--                         ------      ----
41194/udp                  ALLOW       Anywhere
22/tcp                     ALLOW       Anywhere
80/tcp                     ALLOW       Anywhere
443/tcp                    ALLOW       Anywhere
1194/udp                   ALLOW       Anywhere                   # OpenVPN server
Anywhere                   ALLOW       x.x.x.x             # Allow all access from Home
41194/udp (v6)             ALLOW       Anywhere (v6)
22/tcp (v6)                ALLOW       Anywhere (v6)
80/tcp (v6)                ALLOW       Anywhere (v6)
443/tcp (v6)               ALLOW       Anywhere (v6)
1194/udp (v6)              ALLOW       Anywhere (v6)              # OpenVPN server

x.x.x.x was changed by me on both to not share the IP

Any suggestions?

Found it…


root@admin:~# sudo lsof -nP -i:10000
COMMAND   PID     USER   FD   TYPE DEVICE SIZE/OFF NODE NAME
apache2   445     root    7u  IPv4  18019      0t0  TCP 127.0.0.1:10000 (LISTEN)
apache2 65429 www-data    7u  IPv4  18019      0t0  TCP 127.0.0.1:10000 (LISTEN)
apache2 65844 www-data    7u  IPv4  18019      0t0  TCP 127.0.0.1:10000 (LISTEN)
apache2 65846 www-data    7u  IPv4  18019      0t0  TCP 127.0.0.1:10000 (LISTEN)
apache2 65861 www-data    7u  IPv4  18019      0t0  TCP 127.0.0.1:10000 (LISTEN)
apache2 65862 www-data    7u  IPv4  18019      0t0  TCP 127.0.0.1:10000 (LISTEN)
apache2 65863 www-data    7u  IPv4  18019      0t0  TCP 127.0.0.1:10000 (LISTEN)
apache2 65864 www-data    7u  IPv4  18019      0t0  TCP 127.0.0.1:10000 (LISTEN)
apache2 65865 www-data    7u  IPv4  18019      0t0  TCP 127.0.0.1:10000 (LISTEN)
apache2 65866 www-data    7u  IPv4  18019      0t0  TCP 127.0.0.1:10000 (LISTEN)
apache2 65868 www-data    7u  IPv4  18019      0t0  TCP 127.0.0.1:10000 (LISTEN)

Thank you so much!

This has been resolved. Had to disable port 10000 from apache2 and restart apache. That fixed it. Thank you Joe!

I agree! We need to fix that! Thanks for the heads up, @Joe!

1 Like

That check for port 10000 being in use is in the pre-install script in the Webmin Debian package, which I expected would prevent the package from being installed at all. However, we could remove this and let the install proceed, but just fail to start at the end…

Yeah, I think postinstall scripts generally shouldn’t exit with a non-zero status unless the package actually can’t be installed. Being unable to start isn’t that. Webmin is installed here, it just didn’t start because something was squatting on its port, which is a configuration issue, not an installation issue.

Though, we will occasionally get people who think it’s installed and should be working, but it failed because of this. But, I’m pretty sure general practice is for services not to exit with error just because there’s already something else on the port. And, the automatic debhelper systemd/init scripts (i.e. if you let debhelper handle the start/stop/enable stuff instead of writing it by hand) don’t consider failure to start the service a fatal installation error, which I think probably represents Debian packaging policy.

In this case it’s a pre-install scriopt … but I guess that on Debian, even if that fails the package is still consider partially installed?

Hmm…maybe not. I assumed this was starting after install, I didn’t know it was checking before. That’s actually probably OK, and it might be that we’re not in an unconfigured state after this happened. I just assumed.

I’ll do some testing. But, I think you can leave it alone for now. Sorry for the false alarm based on my misunderstanding of where this happens.

Nitpick , sudo is only used if your not root

1 Like

This topic was automatically closed 8 days after the last reply. New replies are no longer allowed.